commit:     cd1c708c5653c6d668b22bc818bc949268173a18
Author:     Sven Wegener <swegener <AT> gentoo <DOT> org>
AuthorDate: Tue Nov  6 16:26:09 2018 +0000
Commit:     Sven Wegener <swegener <AT> gentoo <DOT> org>
CommitDate: Tue Nov  6 21:44:46 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd1c708c

net-dns/pdns-recursor: Version bump, security bug #670036

Fixes CVE-2018-10851, CVE-2018-14626, CVE-2018-14644

Bug: https://bugs.gentoo.org/670036
Signed-off-by: Sven Wegener <swegener <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 net-dns/pdns-recursor/Manifest                   |  1 +
 net-dns/pdns-recursor/pdns-recursor-4.1.5.ebuild | 78 ++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/net-dns/pdns-recursor/Manifest b/net-dns/pdns-recursor/Manifest
index e733ab0e33d..1c99ffdc218 100644
--- a/net-dns/pdns-recursor/Manifest
+++ b/net-dns/pdns-recursor/Manifest
@@ -1,2 +1,3 @@
 DIST pdns-recursor-4.0.8.tar.bz2 1071831 BLAKE2B 
d9ab0dada8efa4b05c136650b9a2eab3aec4acab28ffb6da5bb4f627dc085b2c2d046d1f0dac5cf6e7054b47d76b8d7b95f56cc096b613891a4422b77e9abe9d
 SHA512 
9886fccd3042904b7133e03a7b45479c8f2f57ecb33e4a043703b5e84816cd04a331503870e16030c86b353c1e14d9283dba767c1247e46ed6e14b7e0e93a5ef
 DIST pdns-recursor-4.1.4.tar.bz2 1224360 BLAKE2B 
ddfa4f8c6a4534ef41dcb2e5341a9eece84a44a5a77f1f8cdd251a84888d428283a1396de74e9b50239f0663c05fa60fe36b2a4fb44689215518ea390584501e
 SHA512 
1904685dfdcd69d4b85c4c70559d51cc8ef288551ffd8f93a96108c3aca4e46ec3950f93840e4bd39da00c63129033b5a541beb68d1e924d477b5b0abbf1d00c
+DIST pdns-recursor-4.1.5.tar.bz2 1237531 BLAKE2B 
569946500c890e1dcf623c3e2dcbe2cf07be51c666c3fa7872be34c6b7c2c8885edd6f6ba7c7fd5f53d074b77f397a06e5c08c50239d1c2ad4956816f744fced
 SHA512 
90dfbafa4bc5b2ff79a0d1cfb85e79df20894f4bacb2ce439c772eab45c4a4ec799e5f183effbcc5aa37a2030ea3560a2d9f520e5a11cf201cb8f39795fa630d

diff --git a/net-dns/pdns-recursor/pdns-recursor-4.1.5.ebuild 
b/net-dns/pdns-recursor/pdns-recursor-4.1.5.ebuild
new file mode 100644
index 00000000000..2d88183b4f6
--- /dev/null
+++ b/net-dns/pdns-recursor/pdns-recursor-4.1.5.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit flag-o-matic
+
+DESCRIPTION="The PowerDNS Recursor"
+HOMEPAGE="https://www.powerdns.com/";
+SRC_URI="https://downloads.powerdns.com/releases/${P/_/-}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="libressl luajit protobuf snmp sodium systemd"
+
+DEPEND="!luajit? ( >=dev-lang/lua-5.1:= )
+       luajit? ( dev-lang/luajit:= )
+       protobuf? (
+               dev-libs/protobuf
+               >=dev-libs/boost-1.42:=
+       )
+       systemd? ( sys-apps/systemd:0= )
+       snmp? ( net-analyzer/net-snmp )
+       sodium? ( dev-libs/libsodium:= )
+       libressl? ( dev-libs/libressl:= )
+       !libressl? ( dev-libs/openssl:= )
+       >=dev-libs/boost-1.35:="
+RDEPEND="${DEPEND}
+       !<net-dns/pdns-2.9.20-r1"
+BDEPEND="virtual/pkgconfig"
+
+S="${WORKDIR}"/${P/_/-}
+
+pkg_setup() {
+       filter-flags -ftree-vectorize
+}
+
+src_configure() {
+       econf \
+               --sysconfdir=/etc/powerdns \
+               $(use_enable systemd) \
+               $(use_enable sodium libsodium) \
+               $(use_with !luajit lua) \
+               $(use_with luajit luajit) \
+               $(use_with protobuf) \
+               $(use_with snmp net-snmp)
+}
+
+src_install() {
+       default
+
+       mv "${D}"/etc/powerdns/recursor.conf{-dist,}
+
+       # set defaults: setuid=nobody, setgid=nobody
+       sed -i \
+               -e 's/^# set\([ug]\)id=$/set\1id=nobody/' \
+               -e 's/^# quiet=$/quiet=on/' \
+               -e 's/^# chroot=$/chroot=\/var\/lib\/powerdns/' \
+               "${D}"/etc/powerdns/recursor.conf
+
+       newinitd "${FILESDIR}"/pdns-recursor-r1 pdns-recursor
+
+       keepdir /var/lib/powerdns
+}
+
+pkg_postinst() {
+       local old
+
+       for old in ${REPLACING_VERSIONS}; do
+               ver_test ${old} -lt 4.0.0-r1 || continue
+
+               ewarn "Starting with 4.0.0-r1 the init script has been renamed 
from precursor"
+               ewarn "to pdns-recursor, please update your runlevels 
accordingly."
+
+               break
+       done
+}

Reply via email to